<acl xmlns="http://openconfig.net/yang/acl">
  <interfaces>
    <interface{% if operation is defined %} xmlns:nc="urn:ietf:params:xml:ns:netconf:base:1.0" nc:operation="{{operation}}"{% endif %}>
      <id>{{id}}</id>
      <config>
        <id>{{id}}</id>
      </config>
      <interface-ref>
        <config>
          <interface>{{interface}}</interface>
          {% if subinterface is defined %}<subinterface>{{subinterface}}</subinterface>{% endif%}
        </config>
      </interface-ref>
      <ingress-acl-sets>
        <ingress-acl-set>
          <set-name>{{set_name_ingress}}</set-name>
          <type>{{type_ingress}}</type>
          <config>
            <set-name>{{set_name_ingress}}</set-name>
            <type>{{type_ingress}}</type>
          </config>
        </ingress-acl-set>
      </ingress-acl-sets>
    </interface>
  </interfaces>
</acl>
